<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>HTML, CSS and SASS Boilerplate</title>
    <meta
      name="description"
      content="Used as a boilerplate for tasks in the 'HTML, CSS and SASS' course in boom.dev"
    />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
  </head>
  <body>
    <div class="main">
      <form class="form">
        <input
          required
          minlength="20"
          class="input"
          type="text"
          name="name"
          placeholder="Name"
        />
        <input
          required
          pattern="^([a-z][a-z0-9]*)(-[a-z0-9]+)*$"
          class="input"
          type="text"
          name="name_slug"
          placeholder="Name slug"
        />
        <input
          required
          min="1"
          max="100"
          class="input"
          type="number"
          name="contributers"
          placeholder="Number of contributers"
        />
        <input
          required
          min="1"
          max="100"
          class="input"
          type="number"
          name="max_branches"
          placeholder="Max branches"
        />
        <button class="button">Save</button>
      </form>
    </div>
  </body>
</html>
